%define	manver		20050215
%define	use_utf8	1

Summary: Japanese man (manual) pages from the Japanese Manual Project
Name: man-pages-ja
Version: %{manver}
Release: 2.EL4.4
License: Distributable
Group: Documentation
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
URL: http://www.linux.or.jp/JM/

Source: http://www.linux.or.jp/JM/%{name}-%{manver}.tar.gz
Source1: rh-man-pages-ja.pl
Patch: %{name}-20010515-rh.patch
Patch1: %{name}-20011115-fixpipe.patch
Patch2: %{name}-20030415-utf8.patch
Patch3: %{name}-20031215-crontab-0days.patch
Patch4: man-pages-ja-20050215-shmget.patch
Patch5: man-pages-ja-20050215-libaio.patch
Patch6: man-pages-ja-20050215-patch.patch
Patch7: man-pages-ja-20050215-readv.patch
Patch8: man-pages-ja-20050215-ls.patch
Patch9: man-pages-ja-20060815-204667-nfs.5.patch
Patch10: man-pages-ja-20060815-204664-write.2.patch
Patch11: man-pages-ja-20060815-178955-at.1.patch
Patch12: man-pages-ja-20050215-253932-getrlimit.2.patch

%description
Japanese Manual pages, translated by JM-Project (Japanese Manual Project).

%prep
%setup -q -n %{name}-%{manver}
%patch -p1 -b .jp
%patch1 -p1 -b .pipe
%if %{use_utf8}
%patch2 -p1 -b .utf8
%endif
%patch3 -p1 -b .0days
%patch4 -p1 -b .shmget
%patch5 -p1 -b .libaio
%patch6 -p1 -b .patch1
%patch7 -p1 -b .readv
%patch8 -p1 -b .ls
%patch9 -p1 -b .nfs
%patch10 -p1 -b .write
%patch11 -p1 -b .at
%patch12 -p1 -b .getrlimit

%build
perl %{SOURCE1} $RPM_BUILD_ROOT | make

%install
rm -fr $RPM_BUILD_ROOT

sh ./installman.sh

rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/{chage.1,gpasswd.1,sg.1,apropos.1,man.1,whatis.1}*
rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man5/{faillog.5,shadow.5}*
rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man8/{adduser.8,chpasswd.8,faillog.8,groupadd.8,groupdel.8,groupmod.8,grpck.8,grpconv.8,grpunconv.8,lastlog.8,newusers.8,pwck.8,pwconv.8,pwunconv.8,useradd.8,userdel.8,usermod.8,rpm2cpio.8}*
rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man8/{rpmgraph,rpmcache,rpmbuild,rpm}.8*

# fix su(1) man page.
if [ -f $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_sh-utils/man1/su.1 ]; then
	rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/su.1*
%if %{use_utf8}
	iconv -f euc-jp -t utf-8 $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_sh-utils/man1/su.1 > $RPM_BUILD_ROOT%{_mandir}/ja/man1/su.1
%else
	cp -a $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_sh-utils/man1/su.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/
%endif
fi
# fix kill(1) man page.
if [ -f $RPM_BUILD_DIR/%{name}-%{version}/manual/util-linux/man1/kill.1 ]; then
	rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/kill.1*
%if %{use_utf8}
	iconv -f euc-jp -t utf-8 $RPM_BUILD_DIR/%{name}-%{version}/manual/util-linux/man1/kill.1 > $RPM_BUILD_ROOT%{_mandir}/ja/man1/kill.1
%else
	cp -a $RPM_BUILD_DIR/%{name}-%{version}/manual/util-linux/man1/kill.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/
%endif
fi
# fix chown(1) man page.
if [ -f $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_fileutils/man1/chown.1 ]; then
	rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/chown.1*
%if %{use_utf8}
	iconv -f euc-jp -t utf-8 $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_fileutils/man1/chown.1 > $RPM_BUILD_ROOT%{_mandir}/ja/man1/chown.1
%else
	cp -a $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_fileutils/man1/chown.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/
%endif
fi
# fix ls(1) man page.
if [ -f $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_fileutils/man1/ls.1 ]; then
	rm -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/ls.1*
%if %{use_utf8}
	iconv -f euc-jp -t utf-8 $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_fileutils/man1/ls.1 > $RPM_BUILD_ROOT%{_mandir}/ja/man1/ls.1
%else
	cp -a $RPM_BUILD_DIR/%{name}-%{version}/manual/GNU_fileutils/man1/ls.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/
%endif
fi
# For Bug#128612
mv $RPM_BUILD_ROOT%{_mandir}/ja/man8/in.telned.8.gz $RPM_BUILD_ROOT%{_mandir}/ja/man8/in.telnetd.8.gz
# For Bug#128833
mv $RPM_BUILD_ROOT%{_mandir}/ja/man8/in.rlogin.8.gz $RPM_BUILD_ROOT%{_mandir}/ja/man8/in.rlogind.8.gz

# accumulate translation_lists
mkdir $RPM_BUILD_DIR/%{name}-%{version}/translation_lists
(cd $RPM_BUILD_DIR/%{name}-%{version}/manual
for i in `find -type f -name translation_list`; do
	package=`basename \`dirname $i\``;
	name=`basename $i`;
	cp -a $i $RPM_BUILD_DIR/%{name}-%{version}/translation_lists/$package.$name;
done
)
 
%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README translation_lists
%{_mandir}/ja/*


%changelog
* Thu Oct 25 2007 Akira TAGOH <tagoh@redhat.com> - 20050215-2.EL4.4
- man-pages-ja-20050215-253932-getrlimit.2.patch: fix getrlimit.2 manpage. (#253932)

* Mon Feb  5 2007 Akira TAGOH <tagoh@redhat.com> - 20050215-2.EL4.3
- man-pages-ja-20060815-178955-at.1.patch: correct roff tag.

* Tue Jan  9 2007 Akira TAGOH <tagoh@redhat.com> - 20050215-2.EL4.2
- man-pages-ja-20060815-204667-nfs.5.patch: fixed nfs.5 manpage. (#204667)
- man-pages-ja-20060815-204664-write.2.patch: fixed write.2 manpage. (#204664)
- man-pages-ja-20060815-178955-at.1.patch: fixed at.1 manpage. (#178955)

* Fri Nov 18 2005 Akira TAGOH <tagoh@redhat.com> - 20050215-2.EL4.0
- man-pages-ja-20050215-libaio.patch: fixed a misleading of the header file
  required and a typo. (#163001)
- man-pages-ja-20050215-patch.patch: updated patch.1. (#162662)
- man-pages-ja-20050215-readv.patch: replaced MAX_IOVEC to IOV_MAX. (#167314)
- man-pages-ja-20050215-ls.patch: fixed the -H option's explanation. (#155418)

* Wed Feb 23 2005 Akira TAGOH <tagoh@redhat.com> - 20050215-1.EL4.0
- updates to 20050215.
- fixed the wrong argument type and the structure member variable type
  in shmget(2) (#149217)

* Thu Jan  6 2005 Akira TAGOH <tagoh@redhat.com> - 20041215-1.EL4.0
- updates to 20041215.
- prefer GNU fileutils's chown(1) rather than gnumaniak's. (#142077)

* Wed Sep 15 2004 Akira TAGOH <tagoh@redhat.com> - 20040915-1
- updates to 20040915.

* Mon Aug 16 2004 Akira TAGOH <tagoh@redhat.com> 20040815-1
- updates to 20040815.

* Mon Aug 02 2004 Akira TAGOH <tagoh@redhat.com> 20040715-5
- fixed wrong filename for in.rlogind.8 man pages. (#128833)

* Fri Jul 30 2004 Akira TAGOH <tagoh@redhat.com> 20040715-4
- rebuilt

* Thu Jul 29 2004 Akira TAGOH <tagoh@redhat.com> 20040715-3
- applied a patch to fix crontab.5's typo. (#128623)

* Tue Jul 27 2004 Akira TAGOH <tagoh@redhat.com> 20040715-2
- fixed wrong filename for in.telnetd.8 man pages. (#128612)

* Fri Jul 23 2004 Akira TAGOH <tagoh@redhat.com> 20040715-1
- updates to 20040715.

* Tue Jun 29 2004 Akira TAGOH <tagoh@redhat.com> 20040615-1
- updates to 20040615.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 19 2004 Akira TAGOH <tagoh@redhat.com> 20040515-1
- updates to 20040515.
- fixed wrong manpage for kill(1). we prefers util-linux thing rather than procps.

* Fri Apr 16 2004 Akira TAGOH <tagoh@redhat.com> 20040415-1
- updates to 20040415.

* Tue Mar 16 2004 Akira TAGOH <tagoh@redhat.com> 20040315-1
- updates to 20040315.

* Mon Feb 16 2004 Akira TAGOH <tagoh@redhat.com> 20040215-1
- updates to 20040215.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 10 2004 Akira TAGOH <tagoh@redhat.com> 20040115-2
- removed apropos.1, man.1, and whatis.1. the latest man contains those manpages now.

* Mon Jan 19 2004 Akira TAGOH <tagoh@redhat.com> 20040115-1
- updates to 20040115.

* Thu Dec 18 2003 Akira TAGOH <tagoh@redhat.com> 20031215-1
- updates to 20031215.

* Tue Oct 21 2003 Akira TAGOH <tagoh@redhat.com> 20031015-1
- updates to 20031015.

* Mon Sep 01 2003 Akira TAGOH <tagoh@redhat.com> 20030815-1
- updates to 20030815.

* Mon Jul 28 2003 Akira TAGOH <tagoh@redhat.com> 20030715-1
- updates to 20030715.

* Mon Jun 30 2003 Elliot Lee <sopwith@redhat.com> 20030615-2
- Remove rpm.8 to avoid conflict

* Wed Jun 18 2003 Akira TAGOH <tagoh@redhat.com> 20030615-1
- updates to 20030615.

* Tue Jun 10 2003 Elliot Lee <sopwith@redhat.com> 20030525-3
- Remove rpm{cache,graph,build}.8 to avoid conflict.

* Wed May 28 2003 Akira TAGOH <tagoh@redhat.com> 20030525-2
- remove rpm2cpio.8 to avoid the conflict.

* Mon May 26 2003 Akira TAGOH <tagoh@redhat.com> 20030525-1
- updates to 20030525.

* Wed May 14 2003 Akira TAGOH <tagoh@redhat.com> 20030415-3
- include README and translation_list files. (#90543)
- use sh-utils's su.1 instead of shadow's one (#90552)
- fix summary and description. (#90548)

* Tue May 06 2003 Akira TAGOH <tagoh@redhat.com> 20030415-2
- convert to UTF-8.

* Tue Apr 15 2003 Akira TAGOH <tagoh@redhat.com> 20030415-1
- updates to 20030415

* Mon Mar 17 2003 Akira TAGOH <tagoh@redhat.com> 20030315-1
- updates to 20030315
- bumped Version to release date of man-pages-ja archive.

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 0.6-20030115.1
- rebuild

* Thu Jan 16 2003 Akira TAGOH <tagoh@redhat.com> 0.5-20030115.1
- updates to 20030115

* Tue Dec 24 2002 Akira TAGOH <tagoh@redhat.com> 0.5-12.20021215
- updates to 20021215

* Mon Nov 25 2002 Tim Powers <timp@redhat.com>
- remove conflicting man pages that are now included in shadow-utils

* Fri Nov 22 2002 Akira TAGOH <tagoh@redhat.com> 0.5-11
- updates to 20021115

* Wed Nov 13 2002 Akira TAGOH <tagoh@redhat.com> 0.5-10
- updates to 20021015

* Sun Aug 18 2002 Akira TAGOH <tagoh@redhat.com> 0.5-9
- updates to 20020816

* Mon Aug 05 2002 Akira TAGOH <tagoh@redhat.com> 0.5-8
- updates to 20020715

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jun 07 2002 Akira TAGOH <tagoh@redhat.com> 0.5-6
- man-pages-ja-20011115-fixpipe.patch: applied to fix pipe issue.
- s/Copyright/License/

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 0.5-4
- Build against new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Dec  6 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 20011115 ver.

* Sat Jun  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.5

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sun Jun 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
